- Qt 6.4
- Qt SCXML
- C++ Classes
- AssignmentInfo
- Qt 6.4.3 Reference Documentation

# AssignmentInfo Struct

struct QScxmlExecutableContent::AssignmentInfo

The AssingmentInfo class represents a data assignment. More...

Header: | #include <AssignmentInfo>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Scxml) target_link_libraries(mytarget PRIVATE Qt6::Scxml)
qmake: | QT += scxml
Since: | Qt 5.8

- List of all members, including inherited members

## Public Variables

StringId | context
StringId | dest
StringId | expr

## Detailed Description

## Member Variable Documentation

### StringId AssignmentInfo::context

This variable holds the context for evaluating the expression

### StringId AssignmentInfo::dest

This variable holds the name of the data item to assign to

### StringId AssignmentInfo::expr

This variable holds the expression to be evaluated